Bug 83880 - [EFL] [DRT] LayoutTestController needs implementation of addOriginAccessWhitelistEntry and removeOriginAccessWhitelistEntry
Summary: [EFL] [DRT] LayoutTestController needs implementation of addOriginAccessWhite...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords:
Depends on: 84874
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 03:44 PDT by Sudarsana Nagineni (babu)
Modified: 2012-04-26 06:42 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.92 KB, patch)
2012-04-19 04:01 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (4.67 KB, patch)
2012-04-19 08:43 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
patch (4.63 KB, patch)
2012-04-25 05:46 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (5.36 KB, patch)
2012-04-25 15:16 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-04-13 03:44:10 PDT
LayoutTestController needs implementation of addOriginAccessWhitelistEntry in order to unskip the following tests.

http/tests/security/local-image-from-remote-whitelisted.html
http/tests/xmlhttprequest/origin-whitelisting-all.html 
http/tests/xmlhttprequest/origin-whitelisting-exact-match.html 
http/tests/xmlhttprequest/origin-whitelisting-ip-addresses.html
http/tests/xmlhttprequest/origin-whitelisting-subdomains.html
Comment 1 Sudarsana Nagineni (babu) 2012-04-19 04:01:20 PDT
Created attachment 137874 [details]
Patch

Add addOriginAccessWhitelistEntry support.
Comment 2 Grzegorz Czajkowski 2012-04-19 05:19:01 PDT
LGTM.
Comment 3 Raphael Kubo da Costa (:rakuco) 2012-04-19 08:05:06 PDT
Comment on attachment 137874 [details]
Patch

How about implementing the removeOrigin counterpart in LTC as well?
Comment 4 Sudarsana Nagineni (babu) 2012-04-19 08:25:10 PDT
(In reply to comment #3)
> (From update of attachment 137874 [details])
> How about implementing the removeOrigin counterpart in LTC as well?

Make sense. Thanks!
I will implement this one also and unskip relevant test.
Comment 5 Sudarsana Nagineni (babu) 2012-04-19 08:43:56 PDT
Created attachment 137906 [details]
Patch

Implemented addOriginAccessWhitelistEntry and removeOriginAccessWhitelistEntry
Comment 6 Raphael Kubo da Costa (:rakuco) 2012-04-19 08:55:22 PDT
Comment on attachment 137906 [details]
Patch

Looks fine, thanks.
Comment 7 Sudarsana Nagineni (babu) 2012-04-25 05:46:01 PDT
Created attachment 138794 [details]
patch

rebased
Comment 8 WebKit Review Bot 2012-04-25 10:03:21 PDT
Comment on attachment 138794 [details]
patch

Clearing flags on attachment: 138794

Committed r115222: <http://trac.webkit.org/changeset/115222>
Comment 9 WebKit Review Bot 2012-04-25 10:03:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Thiago Marcos P. Santos 2012-04-25 10:25:47 PDT
I think this patch introduced flakiness, probably because is not cleaning the whitelist on the test startup.

Before -> 135 failures 3 new passes 5 flakes 1 missing results
http://build.webkit.org/builders/EFL%20Linux%20Debug/builds/631

After -> 136 failures 3 new passes 25 flakes 1 missing results
http://build.webkit.org/builders/EFL%20Linux%20Debug/builds/632
Comment 11 Sudarsana Nagineni (babu) 2012-04-25 15:11:33 PDT
Reopening to fix the newly introduced flakiness. Needs to reset the whitelist to default on the test startup.
Comment 12 Sudarsana Nagineni (babu) 2012-04-25 15:16:01 PDT
Created attachment 138880 [details]
Patch

fixed flakiness introduced by previous patch.
Comment 13 Thiago Marcos P. Santos 2012-04-25 15:22:23 PDT
(In reply to comment #12)
> Created an attachment (id=138880) [details]
> Patch
> 
> fixed flakiness introduced by previous patch.

LGTM. Tried on my machine, no regressions. Thanks.
Comment 14 WebKit Review Bot 2012-04-26 06:42:22 PDT
Comment on attachment 138880 [details]
Patch

Clearing flags on attachment: 138880

Committed r115307: <http://trac.webkit.org/changeset/115307>
Comment 15 WebKit Review Bot 2012-04-26 06:42:28 PDT
All reviewed patches have been landed.  Closing bug.